package com.huimv.receive.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.receive.common.utils.Result;
import com.huimv.receive.entity.BillGoodsInventory;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import java.io.IOException;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author author
 * @since 2023-08-22
 */
public interface IBillGoodsInventoryService extends IService<BillGoodsInventory> {
    Result listAll(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result edit(HttpServletRequest httpServletRequest, String id, String goods, MultipartFile imgUrl1,
                MultipartFile imgUrl2,
                MultipartFile imgUrl3,
                MultipartFile imgUrl4,
                MultipartFile imgUrl5,
                MultipartFile imgUrl6

            /*, String wayType*/) throws IOException;

    Result list(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);
}
